<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="index-japanese-content-webhelp">
  <title>How to Index Japanese Content</title>
  <prolog>
    <metadata>
      <keywords>
        <indexterm product="author developer editor authorEclipse developerEclipse editorEclipse"
          >WebHelp Responsive <indexterm>Optimizing Japanese content
          indexing</indexterm></indexterm>
        <indexterm product="webhelp-responsive ope">Optimizing Japanese content indexing</indexterm>
      </keywords>
    </metadata>
  </prolog>
  <body>
    <p id="p_pf4_cgk_54b">To optimize the indexing of Japanese content in WebHelp pages, the
        <term>Lucene Kuromoji Japanese analyzer</term> can be used. This analyzer is included in the
        <b>Oxygen XML Editor/Author</b> installation kit.<note type="restriction"
        id="note_qf4_cgk_54b">The <term>Kuromoji</term> analyzer does not work if your WebHelp
        output is accessed locally. In this scenario, a warning message will be displayed informing
        you that the <term>Kuromoji</term> analyzer is disabled. It is possible to hide this warning
        message by using a transformation parameter named
          <codeph>webhelp.enable.search.kuromoji.js</codeph>. By default, its value is <b>yes</b>,
        which means the <term>Kuromoji</term> analyzer is enabled by default. To hide the warning
        message, set the value of that parameter to <b>no</b> using either of the methods listed
        below. When it is set to <b>no</b>, the <term>Kuromoji</term> analyzer is disabled even if
        you deploy your WebHelp output on a web server.</note></p>
    <section id="using_oxygen_template">
      <title>Using a Publishing Template</title>
      <p id="p_rf4_cgk_54b">To add a logo in the title area of your WebHelp output using an <xref
          keyref="wh-publishing-template"><term>Oxygen Publishing Template</term></xref>, follow
        this procedure:<ol id="ol_sf4_cgk_54b">
          <li id="li_tf4_cgk_54b">If you have not already created a Publishing Template, see <xref
              href="whr-create-publishing-template.dita">How to Create a Publishing
            Template</xref>.</li>
          <li id="li_uf4_cgk_54b">Open the <xref href="whr_publishing_template_contents.dita#template_descritpor_file"
              >template descriptor file</xref> associated with your publishing template and add the
              <codeph>default.language</codeph> parameter in the <term>parameters</term> section
            with its value set to
            <codeph>ja-jp</codeph>.<codeblock  id="codeblock_vf4_cgk_54b">&lt;publishing-template>
    ...
    &lt;webhelp>
        ...                
        &lt;parameters>
            &lt;parameter name="default.language" value="ja-jp"/>
        &lt;/parameters>
    &lt;/webhelp></codeblock></li>
          <li id="li_wf4_cgk_54b">Open the <term>DITA Map WebHelp Responsive</term> transformation scenario.</li>
          <li id="li_xf4_cgk_54b">Click the <uicontrol>Choose Custom Publishing Template</uicontrol> link and select
            your template.</li>
          <li id="li_yf4_cgk_54b">Click <uicontrol>OK</uicontrol> to save the changes to the transformation
            scenario.</li>
          <li id="li_zf4_cgk_54b">Run the transformation scenario.</li>
        </ol></p>
    </section>
    <section id="using_oxygen_xml_editorauthor">
      <title>Using a Transformation Scenario in Oxygen XML Editor/Author</title>
      <p id="p_ag4_cgk_54b">To activate the Japanese indexing in your WebHelp output using a transformation scenario
        from within <b>Oxygen XML Editor/Author</b>, follow this procedure:<ol id="ol_bg4_cgk_54b">
          <li id="li_cg4_cgk_54b">Edit a <uicontrol>DITA to WebHelp</uicontrol> transformation scenario and in the
              <uicontrol>Parameters</uicontrol> tab, set the value of the
              <codeph>default.language</codeph> parameter to
              <codeph>ja-jp</codeph>.<note id="note_dg4_cgk_54b">Alternatively, you could set the
                <xmlatt>xml:lang</xmlatt> attribute on the root of the <xref
                keyref="glossentry_ditamap"><term>DITA map</term></xref> and the referenced topics
              to <codeph>ja-jp</codeph>. Another alternative for DITA output is to use the
                <codeph>webhelp.search.japanese.dictionary</codeph> parameter to specify a path to a
              Japanese dictionary that will be used by the <i>Kuromoji</i> morphological engine
              (note that the encoding for the dictionary must be <b>UTF8</b>).</note></li>
          <li id="li_eg4_cgk_54b">Run the WebHelp transformation scenario to generate the output.</li>
        </ol></p>
    </section>
  </body>
</topic>
